# -*- coding: utf-8 -*-
'''
    librfid - RFID EPC Class 1 Gen2 / ISO/IEC 18000-6C compliant library

    Copyright (C) 2013  Entr'ouvert

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.


    Readers declaration file
'''


from librfid.stid_readers.commands_basic import COMMANDS as BASIC_STID_COMMANDS
from librfid.stid_readers.params_basic import PARAMS as BASIC_STID_PARAMS
from librfid.stid_readers.errors_basic import ERRORS as BASIC_STID_ERRORS
from librfid.stid_readers import core as BASIC_STID_CORE


READERS = {
'URL-W41-A-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'UR1-W42-E-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URC-W42-E-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URL-W51-A-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'UR1-W43-E-U04-7AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URC-W43-E-U04-7AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URL-Wx1-A-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'UR1-W52-E-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URC-W52-E-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URL-W41-B-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'UR1-W53-E-U04-7AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URC-W53-E-U04-7AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URL-W51-B-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URD-W42-E-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URL-Wx1-B-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URD-W43-E-U04-7AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'STR-W45-E-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URD-W44-E-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'PSION WORKABOUT PRO3': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URD-W45-E-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URD-W48-E-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URD-W52-E-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URD-W53-E-U04-7AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URD-W54-E-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URD-W55-E-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
'URD-W58-E-U04-5AA': \
    (BASIC_STID_PARAMS, BASIC_STID_COMMANDS,
        BASIC_STID_ERRORS, BASIC_STID_CORE),
}
